Skip to content
Start here

Get Multiple Domain Details

client.intel.domains.bulks.get(BulkGetParams { account_id, domain } params, RequestOptionsoptions?): BulkGetResponse | null
GET/accounts/{account_id}/intel/domain/bulk

Same as summary.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: BulkGetParams { account_id, domain }
account_id: string

Path param: Identifier.

maxLength32
domain?: Array<string>

Query param: Accepts multiple values like ?domain=cloudflare.com&domain=example.com.

ReturnsExpand Collapse
BulkGetResponse = Array<BulkGetResponseItem> | null
additional_information?: AdditionalInformation { suspected_malware_family }

Additional information related to the host name.

suspected_malware_family?: string

Suspected DGA malware family.

application?: Application { id, name }

Application that the hostname belongs to.

id?: number
name?: string
content_categories?: Array<ContentCategory>
id?: number
name?: string
super_category_id?: number
domain?: string
inherited_content_categories?: Array<InheritedContentCategory>
id?: number
name?: string
super_category_id?: number
inherited_from?: string

Domain from which inherited_content_categories and inherited_risk_types are inherited, if applicable.

inherited_risk_types?: Array<InheritedRiskType>
id?: number
name?: string
super_category_id?: number
popularity_rank?: number

Global Cloudflare 100k ranking for the last 30 days, if available for the hostname. The top ranked domain is 1, the lowest ranked domain is 100,000.

risk_score?: number

Hostname risk score, which is a value between 0 (lowest risk) to 1 (highest risk).

risk_types?: Array<RiskType>
id?: number
name?: string
super_category_id?: number

Get Multiple Domain Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const bulks = await client.intel.domains.bulks.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(bulks);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "additional_information": {
        "suspected_malware_family": ""
      },
      "application": {
        "id": 0,
        "name": "CLOUDFLARE"
      },
      "content_categories": [
        {
          "id": 155,
          "name": "Technology",
          "super_category_id": 26
        }
      ],
      "domain": "cloudflare.com",
      "inherited_content_categories": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ],
      "inherited_from": "inherited_from",
      "inherited_risk_types": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ],
      "popularity_rank": 0,
      "risk_score": 0,
      "risk_types": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ]
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "additional_information": {
        "suspected_malware_family": ""
      },
      "application": {
        "id": 0,
        "name": "CLOUDFLARE"
      },
      "content_categories": [
        {
          "id": 155,
          "name": "Technology",
          "super_category_id": 26
        }
      ],
      "domain": "cloudflare.com",
      "inherited_content_categories": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ],
      "inherited_from": "inherited_from",
      "inherited_risk_types": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ],
      "popularity_rank": 0,
      "risk_score": 0,
      "risk_types": [
        {
          "id": 0,
          "name": "name",
          "super_category_id": 0
        }
      ]
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}